package com.microservices.pms.project.mapper;

import com.microservices.pms.project.domain.PmsProjectMembers;
import com.microservices.pms.project.domain.vo.PmsProjectMembersSearchVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目-成员Mapper接口
 * 
 * @author wanjia
 * @date 2023-10-11
 */
@Mapper
public interface PmsProjectMembersMapper
{
    /**
     * 查询项目-成员
     * 
     * @param id 项目-成员主键
     * @return 项目-成员
     */
    public PmsProjectMembers selectPmsProjectMembersById(Long id);

    /**
     * 查询项目-成员列表
     * 
     * @param pmsProjectMembers 项目-成员
     * @return 项目-成员集合
     */
    public List<PmsProjectMembers> selectPmsProjectMembersList(PmsProjectMembers pmsProjectMembers);

    /**
     * 新增项目-成员
     * 
     * @param pmsProjectMembers 项目-成员
     * @return 结果
     */
    public int insertPmsProjectMembers(PmsProjectMembers pmsProjectMembers);

    /**
     * 修改项目-成员
     * 
     * @param pmsProjectMembers 项目-成员
     * @return 结果
     */
    public int updatePmsProjectMembers(PmsProjectMembers pmsProjectMembers);

    /**
     * 删除项目-成员
     * 
     * @param id 项目-成员主键
     * @return 结果
     */
    public int deletePmsProjectMembersById(Long id);

    /**
     * 批量删除项目-成员
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePmsProjectMembersByIds(Long[] ids);

    Integer countMemberByProjectId(@Param("projectId") Long projectId);

    int deletePmsProjectMembersByProjectId(@Param("projectId") Long projectId);

    List<Integer> selectPmsProjectMemberIdsByProjectId(@Param("pmsProjectId") Long pmsProjectId);

    Integer selectPmsProjectMembersCount(PmsProjectMembersSearchVo pmsProjectMembersSearchVo);

    int countPmsProjectMembersByProjectIdAndMemberId(@Param("pmsProjectId") Long pmsProjectId, @Param("pmsProjectMemberId") Long pmsProjectMemberId);
}
